<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgHikamarketCategoryexclusion extends JPlugin [

	public function onBeforeProductCreate(&$product, &$do) {
		$this->categoryFiltering($product);
	}
	public function onBeforeProductUpdate(&$product, &$do) {
		$this->categoryFiltering($product);
	}

	public function categoryFiltering(&$product) {
		if(empty($product->categories))
			return;
		$app = JFactory::getApplication();
		if($app->isAdmin())
			return;
		$init = defined('HIKAMARKET_COMPONENT');
		if(!$init)
			return;

		// The excluded categories (hard coded in the plugin but can be read from the plugin configuration with a little more code)
		$excluded_categories = array(26, 27, 28, 48, 49, 50, 51, 52);

		// Remove the excluded categories
		foreach($product->categories as $k => $v) {
			if(in_array((int)$v, $excluded_categories))
				unset($product->categories[$k]);
		}
	}
}